#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Thu May 14 22:56:53 2020

@author: luebbecke
"""

# hard

n=400 #items
m=150 #bins

b = 100 #capacity
a = [13, 5, 38, 38, 21, 5, 7, 46, 37, 31, 46, 40, 31, 49, 38, 50, 14, 42, 48, 19, 38, 36, 10, 19, 10, 9, 11, 13, 45, 32, 15, 19, 21, 3, 49, 3, 14, 26, 26, 14, 9, 22, 4, 21, 36, 14, 36, 41, 20, 42, 37, 41, 18, 27, 23, 49, 25, 33, 30, 33, 11, 26, 37, 43, 6, 9, 36, 6, 27, 41, 5, 12, 4, 48, 45, 27, 24, 23, 7, 2, 34, 35, 46, 44, 29, 13, 6, 49, 2, 22, 23, 44, 15, 9, 23, 9, 38, 27, 9, 37, 41, 21, 11, 14, 14, 50, 38, 20, 4, 4, 29, 2, 3, 23, 7, 6, 15, 18, 49, 44, 21, 40, 20, 3, 20, 50, 34, 49, 6, 8, 21, 2, 11, 39, 35, 24, 31, 45, 9, 38, 13, 44, 37, 44, 22, 9, 50, 30, 18, 8, 1, 41, 48, 38, 1, 47, 41, 20, 49, 46, 8, 31, 44, 43, 19, 46, 50, 28, 41, 47, 50, 13, 38, 3, 4, 1, 32, 33, 29, 2, 36, 40, 6, 13, 32, 2, 19, 47, 38, 4, 30, 19, 28, 5, 5, 16, 15, 25, 11, 38, 15, 45, 22, 33, 29, 25, 28, 29, 5, 22, 3, 7, 40, 4, 25, 9, 41, 32, 9, 17, 32, 49, 31, 43, 33, 1, 7, 14, 2, 28, 40, 34, 27, 14, 42, 50, 7, 48, 29, 26, 33, 32, 13, 5, 36, 13, 6, 5, 16, 11, 11, 17, 48, 45, 39, 2, 28, 32, 5, 20, 18, 40, 16, 44, 8, 45, 40, 8, 29, 24, 21, 14, 1, 16, 31, 31, 3, 47, 50, 33, 38, 5, 45, 41, 29, 20, 38, 49, 38, 15, 27, 15, 36, 26, 10, 39, 35, 23, 13, 39, 17, 37, 20, 15, 3, 33, 46, 16, 46, 36, 9, 46, 42, 17, 45, 33, 33, 40, 1, 4, 14, 31, 6, 36, 7, 41, 18, 8, 10, 26, 35, 29, 35, 15, 34, 37, 34, 41, 6, 3, 24, 21, 47, 5, 14, 32, 42, 36, 35, 8, 23, 27, 16, 14, 33, 8, 49, 37, 22, 24, 18, 9, 11, 40, 46, 49, 44, 23, 7, 48, 21, 26, 18, 33, 31, 47, 41, 36, 38, 28, 48, 9, 35, 38, 50, 45, 15, 38, 2, 37, 25, 48, 42, 26, 12, 29, 14, 18, 2, 35]


import makespanscheduling
#binpackingmodel.solve(m,a,b)
makespanscheduling.solve(m, a, b)

"""
import makespanscheduling
makespanscheduling.solve(m,a,b)
"""
